# Interface PointSequence

All Known Implementing Classes:
  `TablePointSequence, WrapperPointSequence`

public interface PointSequence
Iterator over point data described by `PlotData`.

Since:
  4 Apr 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Call when this sequence is no longer required.
`double[][]`
`getErrors()`
Reads the errors for the current row.
`String`
`getLabel()`
Returns any text label associated with the current point.
`double[]`
`getPoint()`
Reads the coordinates of the current point.
`boolean`
`isIncluded(int iset)`
Indicates whether the current row is included in the given subset.
`boolean`
`next()`
Attempts to advance the current row to the next one.

## Method Details

### next

boolean next()
Attempts to advance the current row to the next one. If `true` is returned the attempt has been successful, and if `false` is returned there are no more rows in this sequence. Since the initial position of this sequence is before the first row, this method must be called before calling any of the data access methods.

Returns:
  true if row advance has succeeded, false for end of sequence

### getPoint

double[] getPoint()
Reads the coordinates of the current point. The returned array may be modified by subsequent calls to this method. The caller is also permitted to modify it.

Returns:
  coords an ndim-element array containing point coordinates

### getErrors

double[][] getErrors()
Reads the errors for the current row. The returned value is an array of `nerror` double[] arrays, each of which has `ndim` elements and represents the coordinates of the end of an error bar. If any of these coordinate arrays is `null`, it represents an error bar of zero size, that is one whose end sits right on the data point. The ordering of these points is up to the user of this object, but typically they will be in pairs, e.g. (xlo,xhi, ylo,hi, ...). The content of the returned double[][] array and of its elements may be modified by subsequent calls to this method. The caller is also permitted to modify these.

Returns:
  double[nerr][ndim] array with error extremum coordinates

### getLabel

String getLabel()
Returns any text label associated with the current point.

Returns:
  text label, or null

### isIncluded

boolean isIncluded(int iset)
Indicates whether the current row is included in the given subset.

Returns:
  true iff set `iset` is included

### close

void close()
Call when this sequence is no longer required.